Package org.mariadb.jdbc.message.client

## Class ChangeDbPacket

- java.lang.Object
- - org.mariadb.jdbc.message.client.ChangeDbPacket

All Implemented Interfaces:
  `ClientMessage`, `RedoableClientMessage`

    public final class ChangeDbPacket
    extends Object
    implements RedoableClientMessage

### Constructor Summary

Constructors
`ChangeDbPacket​(String database)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `encode​(PacketWriter writer, Context context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.message.client.ClientMessage

`batchUpdateLength, binaryProtocol, canSkipMeta, description, readPacket`

### Methods inherited from interface org.mariadb.jdbc.message.client.RedoableClientMessage

`encode, ensureReplayable, reEncode, saveParameters`

### Constructor Detail

#### ChangeDbPacket

    public ChangeDbPacket​(String database)

### Method Detail

#### encode

    public int encode​(PacketWriter writer,
                      Context context)
               throws IOException

Specified by:
  `encode` in interface `ClientMessage`
Throws:
  `IOException`